Bug 64153 - Poor IDE performance on Abit KR7A133
Summary: Poor IDE performance on Abit KR7A133
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-26 17:26 UTC by Jason Tibbitts
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-07 15:08:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from lspci -vvxxx (13.07 KB, text/plain)
2002-04-26 17:27 UTC, Jason Tibbitts
no flags Details
Small patch which corrects the problem (1.35 KB, patch)
2002-04-26 22:13 UTC, Jason Tibbitts
no flags Details | Diff

Description Jason Tibbitts 2002-04-26 17:26:57 UTC
Description of Problem:
With kernel-2.4.18-0.22 (Athlon), IDE performance on an Abit KR7A133 motherboard
is quite poor:

/dev/hda:
 Timing buffer-cache reads:   128 MB in  0.48 seconds =266.67 MB/sec
 Timing buffered disk reads:  64 MB in 10.36 seconds =  6.18 MB/sec

(The drive is a Western Digital WD400BB on an 80pin cable.  It is certainly
capable of higher speeds than this.)

From dmidecode:

Handle 0x0002
        DMI type 2, 8 bytes.
        Board Information Block
                Vendor: ABIT <http://www.abit.com.tw>
                Product: VT8366A-8233 (KR7A)
                Version: v1.0 ~
                Serial Number:

From dmesg:

VP_IDE: IDE controller on PCI bus 00 dev 89
PCI: No IRQ known for interrupt pin A of device 00:11.1. Please try using
pci=biosirq.
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: Unknown VIA SouthBridge, contact Vojtech Pavlik <vojtech@suse.cz>

I will attach lspci output.

There is no /proc/ide/via.

Note that a KR7A board (no 133, which indicates that it has the previous
revision of the chipset which did not support ATA133) identically configured
with the same processor and hard drive works fine.  I suspect that a table
somewhere in the IDE driver needs updating (or perhaps FUTURE_BRIDGES needs to
be set).

Comment 1 Jason Tibbitts 2002-04-26 17:27:40 UTC
Created attachment 55488 [details]
Output from lspci -vvxxx

Comment 2 Jason Tibbitts 2002-04-26 22:13:42 UTC
Created attachment 55545 [details]
Small patch which corrects the problem

Comment 3 Jason Tibbitts 2002-04-26 22:17:48 UTC
I have attached a small patch which I extracted and adapted from the larger VIA
IDE 3.33 patch.  With this patch, I get the following in dmesg:

Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 89
PCI: No IRQ known for interrupt pin A of device 00:11.1. Please try using
pci=biosirq.
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8233a (rev 00) IDE UDMA100 controller on pci00:11.1
    ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:pio

and the following cheap performance result:

/dev/hda:
 Timing buffer-cache reads:   128 MB in  0.48 seconds =266.67 MB/sec
 Timing buffered disk reads:  64 MB in  1.87 seconds = 34.22 MB/sec

While the full VIA IDE patch would be nice (for proper Ultra133 speed support)
something like this patch is somewhat essential as the VIA Ultra133 chipsets
work poorly without it.

Comment 4 Jason Tibbitts 2002-05-07 15:08:03 UTC
This issue is still extant in Valhalla.

The previously attached patch still applies and still solves the problem.

Comment 5 Arjan van de Ven 2002-05-21 10:50:19 UTC
added for the next build; thanks!

Comment 6 D. Hugh Redelmeier 2002-05-22 17:46:52 UTC
The patch seems to work for my Asus A7V333 running RHL7.3 with Red Hat's
2.4.18-4.  A useful stopgap.  Thanks.

From dmesg, after the patch:
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 89
PCI: No IRQ known for interrupt pin A of device 00:11.1. Please try using
pci=biosirq.
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8233a (rev 00) IDE UDMA100 controller on pci00:11.1
    ide0: BM-DMA at 0xb400-0xb407, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xb408-0xb40f, BIOS settings: hdc:DMA, hdd:pio



Note You need to log in before you can comment on or make changes to this bug.